org.apache.felix.ipojo

## Interface ErrorHandler

    public interface ErrorHandler

Error Handler Service Definition. When exposed, this service is invoked when iPOJO throws a warning or an error. It's a hook on the internal iPOJO logger.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onError(ComponentInstance instance, java.lang.String message, java.lang.Throwable error)` Method invokes when an error occurred.
`void` `onWarning(ComponentInstance instance, java.lang.String message, java.lang.Throwable error)` Method invokes when a warning occurred.

### Method Detail

#### onError

    void onError(ComponentInstance instance,
                 java.lang.String message,
                 java.lang.Throwable error)

Method invokes when an error occurred.

Parameters:
  `instance` - the instance (can be `null</null>)`
  `message` - the error message
  `error` - the error itself (can be `null`)

#### onWarning

    void onWarning(ComponentInstance instance,
                   java.lang.String message,
                   java.lang.Throwable error)

Method invokes when a warning occurred.

Parameters:
  `instance` - the instance (can be `null</null>)`
  `message` - the error message
  `error` - the error itself (can be `null`)